# create-sdk

This package is necessary in order to run `npm create @netlify/sdk`. When running `npm create @netlify/sdk`, npm will automatically search for a package called `@netlify/create-sdk` in order to run the initialization

More info: https://docs.npmjs.com/cli/v9/commands/npm-init#description

## How to try out a local version when contributing

If you're changing code in this repository, you can follow these steps to test out your changes:

1. Build the project using `pnpm build`
2. Run `chmod +x ./dist/index.js`
3. Then run `./dist/index.js` relative to the directory that you want to test it in. 

If you also want to test out the local version of the SDK, you can provide a path to the SDK's bin directory using the `LOCAL_SDK_BIN_PATH` environment variable. This path needs to be relative to the directory that the `create-sdk` package creates.
* `npm`: `LOCAL_SDK_BIN_PATH=./path/to/the/sdk ./dist/index.js`
* `pnpm`: `LOCAL_SDK_BIN_PATH=./path/to/the/sdk/bin/index.js ./dist/index.js`

This logic does not work well with `yarn` right now so it is not recommended trying to use `yarn` to test out local changes.
